Name | Type | Default |
autoOpen
|
Boolean
|
false
|
Sets or gets whether the DropDown is automatically opened when the mouse cursor is moved over the widget.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :autoOpen="true" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
autoDropDownHeight
|
Boolean
|
false
|
Sets or gets whether the height of the jqxDropDownList's ListBox displayed in the widget's DropDown is calculated as a sum of the items heights.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :autoDropDownHeight="true" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
animationType
|
String
|
'slide'
|
Sets or gets the type of the animation.
Possible Values:
'fade'
'slide'
'none'
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :animationType="'fade'" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
checkboxes
|
Boolean
|
false
|
Determines whether checkboxes will be displayed next to the list items.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :checkboxes="true" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
closeDelay
|
Number
|
400
|
Sets or gets the delay of the 'close' animation.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :closeDelay="800" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
disabled
|
Boolean
|
false
|
Enables/disables the jqxDropDownList.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :disabled="true" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
displayMember
|
String
|
""
|
Sets or gets the displayMember of the Items. The displayMember specifies the name of an object property to display. The name is contained in the collection specified by the 'source' property.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :valueMember="'value'" :displayMember="'label'" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ { label: 'Affogato', value: 0 }, { label: 'Americano', value: 1 }, { label: 'Bicerin', value: 2 }, { label: 'Breve', value: 3 }, { label: 'Cafe Bombon', value: 4 }, { label: 'Cafe mocha', value: 5 }, { label: 'Caffe Latte', value: 6 }
|
dropDownHorizontalAlignment
|
String
|
'left'
|
Sets or gets the DropDown's alignment.
Possible Values:
'left'
'right'
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :dropDownHorizontalAlignment="'right'" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
dropDownVerticalAlignment
|
String
|
'bottom'
|
Sets or gets the DropDown's alignment.
Possible Values:
'top'
'bottom'
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :dropDownVerticalAlignment="'bottom'" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
dropDownHeight
|
Number
|
200
|
Sets or gets the height of the jqxDropDownList's ListBox displayed in the widget's DropDown.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :dropDownHeight="50" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
dropDownWidth
|
Number
|
200
|
Sets or gets the width of the jqxDropDownList's ListBox displayed in the widget's DropDown.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :dropDownWidth="300" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
enableSelection
|
Boolean
|
true
|
Enables/disables the selection.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :enableSelection="false" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
enableBrowserBoundsDetection
|
Boolean
|
false
|
Sets or gets whether the dropdown detects the browser window's bounds and automatically adjusts the dropdown's position.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :enableBrowserBoundsDetection="true" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
enableHover
|
Boolean
|
true
|
Enables/disables the hover state.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :enableHover="false" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
filterable
|
Boolean
|
false
|
Determines whether the Filtering is enabled.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :filterable="true" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
filterHeight
|
Number
|
27
|
Determines the Filter's height.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :filterHeight="40" :filterable="true" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
filterDelay
|
Number
|
100
|
Determines the Filter's delay. After 100 milliseconds, the widget automatically filters its data based on the filter input's value. To perform filter only on "Enter" key press, set this property to 0.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :filterDelay="200" :filterable="true" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
filterPlaceHolder
|
String
|
"Looking for"
|
Determines the Filter input's place holder.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :filterable="true" :filterPlaceHolder="'Filtering...'" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
height
|
Number | String
|
null
|
Sets or gets the jqxDropDownList's height.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
incrementalSearch
|
Boolean
|
true
|
Sets or gets the incrementalSearch property. An incremental search begins searching as soon as you type the first character of the search string. As you type in the search string, jqxDropDownList automatically selects the found item. Focus the widget and start typing.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :incrementalSearch="true" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
incrementalSearchDelay
|
Number
|
700
|
Sets or gets the incrementalSearchDelay property. The incrementalSearchDelay specifies the time-interval in milliseconds after which the previous search string is deleted. The timer starts when you stop typing. Focus the widget and start typing.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :incrementalSearchDelay="200" :incrementalSearch="true" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
itemHeight
|
Number
|
-1
|
Sets or gets the height of the jqxDropDownList Items. When the itemHeight == - 1, each item's height is equal to its desired height.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :itemHeight="30" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
openDelay
|
Number
|
350
|
Sets or gets the delay of the 'open' animation.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :openDelay="2000" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
placeHolder
|
String
|
"Please Choose:"
|
Text displayed when the selection is empty.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="'null'" :placeHolder="'I am a placeholder !'" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
popupZIndex
|
Number
|
20000
|
Sets or gets the popup's z-index.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :popupZIndex="20000" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :rtl="true" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
renderer
|
Function
|
null
|
Callback function which is called when an item is rendered. By using the renderer function, you can customize the look of the list items.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :renderer="renderer" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, methods: { renderer: function (index, label, value) { return index + ' ' + label;
|
selectionRenderer
|
Function
|
null
|
Callback function which is called when the selected item is rendered in the jqxDropDownList's content area. By using the selectionRenderer function, you can customize the look of the selected item.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :selectionRenderer="selectionRenderer" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, methods: { selectionRenderer: function (htmlString) {
|
searchMode
|
String
|
startswith
|
Sets or gets the item incremental search mode. When the user types some text in a focused DropDownList, the jqxListBox widget tries to find the searched item using the entered text and the selected search mode.
Possible Values:
'none'
'contains'
'containsignorecase'
'equals'
'equalsignorecase'
'startswithignorecase'
'startswith'
'endswithignorecase'
'endswith'
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :searchMode="'startswith'" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
source
|
Array | Object
|
null
|
Sets or gets the items source.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
selectedIndex
|
Number
|
-1
|
Sets or gets the selected index.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="1" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
theme
|
String
|
''
|
Sets the widget's theme. Include the desired theme CSS file after 'jqx.base.css' file.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :theme="'material'" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
template
|
String
|
''
|
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :template="'success'" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
valueMember
|
String
|
""
|
Sets or gets the valueMember of the Items. The valueMember specifies the name of an object property to set as a 'value' of the list items. The name is contained in the collection specified by the 'source' property.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" :valueMember="'value'" :displayMember="'label'" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ { label: 'Affogato', value: 0 }, { label: 'Americano', value: 1 }, { label: 'Bicerin', value: 2 }, { label: 'Breve', value: 3 }, { label: 'Cafe Bombon', value: 4 }, { label: 'Cafe mocha', value: 5 }, { label: 'Caffe Latte', value: 6 }
|
width
|
Number | String
|
null
|
Sets or gets the jqxDropDownList's width.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
|
|
bindingComplete
|
Event
|
|
This event is triggered when the data binding operation is completed.
Code examples
Bind to the bindingComplete event of jqxDropDownList.
<template> <JqxDropDownList ref="myDropDownList" @bindingComplete="onBindingComplete($event)" :width="200" :height="25" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.source = this.source; }, methods: { onBindingComplete: function (event) { alert( 'do something...');
|
close
|
Event
|
|
This event is triggered when the popup ListBox is closed.
Code examples
Bind to the close event of jqxDropDownList.
<template> <JqxDropDownList ref="myDropDownList" @close="onClose($event)" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, methods: { onClose: function (event) { alert( 'do something...');
|
checkChange
|
Event
|
|
This event is triggered when an item is checked/unchecked.
Code examples
Bind to the checkChange event of jqxDropDownList.
<template> <JqxDropDownList ref="myDropDownList" @checkChange="onCheckChange($event)" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.checkboxes = true; }, methods: { onCheckChange: function (event) { alert( 'do something...');
|
change
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the change event of jqxDropDownList.
<template> <JqxDropDownList ref="myDropDownList" @change="onChange($event)" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, methods: { onChange: function (event) { alert( 'do something...');
|
open
|
Event
|
|
This event is triggered when the popup ListBox is opened.
Code examples
Bind to the open event of jqxDropDownList.
<template> <JqxDropDownList ref="myDropDownList" @open="onOpen($event)" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, methods: { onOpen: function (event) { alert( 'do something...');
|
select
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the select event of jqxDropDownList.
<template> <JqxDropDownList ref="myDropDownList" @select="onSelect($event)" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, methods: { onSelect: function (event) { alert( 'do something...');
|
unselect
|
Event
|
|
This event is triggered when the user unselects an item.
Code examples
Bind to the unselect event of jqxDropDownList.
<template> <JqxDropDownList ref="myDropDownList" @unselect="onUnselect($event)" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, methods: { onUnselect: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
addItem
|
item
|
None
|
Adds a new item to the jqxDropDownList. Returns 'true', if the new item is added or 'false' if the item is not added.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.addItem( 'Item1');
|
clearSelection
|
None
|
None
|
Clears all selected items.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.clearSelection();
|
clear
|
None
|
None
|
Clears all items.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.clear();
|
close
|
None
|
None
|
Hides the popup listbox.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.open(); setTimeout(_ => this.$refs.myDropDownList.close(), 1000);
|
checkIndex
|
index
|
None
|
Checks a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to check the first item, the 'checkIndex' method should be called with parameter 0.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.checkboxes = true; this.$refs.myDropDownList.checkIndex(2);
|
checkItem
|
item
|
None
|
Checks an item.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.checkboxes = true; this.$refs.myDropDownList.checkItem( 'Item1');
|
checkAll
|
None
|
None
|
Checks all list items when the 'checkboxes' property value is true.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.checkboxes = true; this.$refs.myDropDownList.checkAll();
|
clearFilter
|
None
|
None
|
Clears the widget's filter when filtering is applied.
<template> <div> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :filterable="true" :selectedIndex="4" /> <p>Please apply a filter and then clear it with the button:</p> <JqxButton @click="onClick()" :width="120">Clear Filter</JqxButton> </div></template><script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxDropDownList, JqxButton }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, methods: { onClick: function () { this.$refs.myDropDownList.clearFilter();
|
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.destroy();
|
disableItem
|
item
|
None
|
Disables an item. Item is an object.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.disableItem( 'Bicerin');
|
disableAt
|
index
|
None
|
Disables an item by index. Index is a number.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.disableAt(2);
|
enableItem
|
item
|
None
|
Enables an item. Item is an object.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <div> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> <p>Please click the button to enable the item "Breve":</p> <JqxButton @click="onClick()" :width="120">Enable</JqxButton> </div> </template><script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxDropDownList, JqxButton }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.disableItem( 'Breve'); }, methods: { onClick: function () { this.$refs.myDropDownList.enableItem( 'Breve');
|
enableAt
|
index
|
None
|
Enables a disabled item by index. Index is a number.
<template> <div> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> <p>Please click the button to enable the item at "2" position:</p> <JqxButton @click="onClick()" :width="120">Enable</JqxButton> </div> </template><script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxDropDownList, JqxButton }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.disableAt( '2'); }, methods: { onClick: function () { this.$refs.myDropDownList.enableAt( '2');
|
ensureVisible
|
index
|
None
|
Ensures that an item is visible. index is number. When necessary, the jqxDropDownList scrolls to the item to make it visible.
<template> <JqxDropDownList ref="myDropDownList" @open="onOpen()" :width="200" :height="25" :source="source" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, methods: { onOpen: function () { this.$refs.myDropDownList.selectIndex(9); this.$refs.myDropDownList.ensureVisible(9);
|
focus
|
None
|
None
|
Sets the focus to the widget.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.focus();
|
getItem
|
index
|
Object
|
Gets item by index. The returned value is an object with the following fields:
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myDropDownList.getItem(2);
|
getItemByValue
|
itemValue
|
Object
|
Gets an item by its value. The returned value is an object with the following fields:
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myDropDownList.getItemByValue( 'Breve');
|
getItems
|
None
|
Array
|
Gets all items. The returned value is an array of Items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myDropDownList.getItems();
|
getCheckedItems
|
None
|
Array
|
Gets the checked items. The returned value is an array of Items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxDropDownList ref="myDropDownList" :checkboxes="true" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.checkIndex(1); this.$refs.myDropDownList.checkIndex(3); this.$refs.myDropDownList.checkIndex(5); const value = this.$refs.myDropDownList.getCheckedItems();
|
getSelectedItem
|
None
|
Object
|
Gets the selected item. The returned value is an object or null(if there is no selected item).
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myDropDownList.getSelectedItem();
|
getSelectedIndex
|
None
|
Number
|
Gets the index of the selected item. The returned value is the index of the selected item. If there's no selected item, -1 is returned.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myDropDownList.getSelectedIndex();
|
insertAt
|
item, index
|
None
|
Inserts a new item to the jqxDropDownList. Returns 'true', if the new item is inserted or false if the insertaion fails. The first parameter is object or string - the new item. The second parameter is number - the item's index.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.insertAt( 'Item1',0);
|
isOpened
|
None
|
Boolean
|
Returns true, if the popup is opened. Otherwise returns false.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myDropDownList.isOpened();
|
indeterminateIndex
|
index
|
None
|
indeterminates a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to indeterminate the first item, the 'indeterminateIndex' method should be called with parameter 0.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.checkboxes = true; this.$refs.myDropDownList.indeterminateIndex(2);
|
indeterminateItem
|
item
|
None
|
Indeterminates an item.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.checkboxes = true; this.$refs.myDropDownList.indeterminateItem( 'Breve');
|
loadFromSelect
|
arg
|
None
|
Loads list items from a 'select' tag.
<template> <div> <JqxDropDownList ref="myDropDownList" style="float: left" @select="listOnSelect($event)" :width="200" :height="25" :selectedIndex="0"> </JqxDropDownList> <div style="float: left"> <select ref="select" id="select" style="height: 25px; width: 200px; margin-left: 30px"> <option>Affogato</option> <option>Americano </option> <option>Bicerin </option> <option>Breve </option> </select> </div> </div></template><script> import JqxDropDownList from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue"; export default { components: { JqxDropDownList }, mounted: function () { this.$refs.myDropDownList.loadFromSelect( 'select'); this.selectElement = this.$refs.select; this.selectElement.addEventListener( 'change', (event) => { this.updating = true; const index = this.selectElement.selectedIndex; this.$refs.myDropDownList.selectIndex(index); this.$refs.myDropDownList.ensureVisible(index); this.updating = false; }); }, methods: { listOnSelect: function (event) { if (event.args && !this.updating) { const index = event.args.item.index; this.selectElement.selectedIndex = index;
|
open
|
None
|
None
|
Shows the popup listbox.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue';
export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.open(); setTimeout(_ => this.$refs.myDropDownList.close(), 1000);
|
removeItem
|
item
|
None
|
Removes an item from the listbox. Parameter type: object returned by the "getItem" method or string - the value of an item. Returns 'true', if the item is removed or 'false', if the item is not removed.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.removeItem( 'Breve');
|
removeAt
|
index
|
None
|
Removes an item from the listbox. Parameter type: number - the index of the item. The method returns 'true', if the item is removed or 'false', if the item is not removed.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.removeAt(1);
|
selectIndex
|
index
|
None
|
Selects an item by index. The index is zero-based, i.e to select the first item, the 'selectIndex' method should be called with parameter 0.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.selectIndex(1);
|
selectItem
|
item
|
None
|
Selects an item.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.selectItem( 'Breve');
|
setContent
|
content
|
None
|
Sets the content of the DropDownList.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.setContent( 'Some Content');
|
updateItem
|
newItem, item
|
None
|
Updates an item. The first parameter is the new item. The second parameter could be an existing item or the value of an existing item.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.updateItem( 'New Breve','Breve');
|
updateAt
|
item, index
|
None
|
Updates an item. The first parameter is the new item. The second parameter is the index of the item to be updated.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.updateAt( 'New Americano',1);
|
unselectIndex
|
index
|
None
|
Unselects item by index. The index is zero-based, i.e to unselect the first item, the 'unselectIndex' method should be called with parameter 0.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.unselectIndex(4);
|
unselectItem
|
item
|
None
|
Unselects an item.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.unselectItem( 'Cappuccino');
|
uncheckIndex
|
index
|
None
|
Unchecks a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to uncheck the first item, the 'uncheckIndex' method should be called with parameter 0.
<template> <JqxDropDownList ref="myDropDownList" :checkboxes="true" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template> <script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.checkAll(); this.$refs.myDropDownList.uncheckIndex(2); this.$refs.myDropDownList.uncheckIndex(3);
|
uncheckItem
|
item
|
None
|
Unchecks an item.
<template> <JqxDropDownList ref="myDropDownList" :checkboxes="true" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template> <script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.checkAll(); this.$refs.myDropDownList.uncheckItem( 'Bicerin'); this.$refs.myDropDownList.uncheckItem( 'Breve');
|
uncheckAll
|
None
|
None
|
Unchecks all list items when the 'checkboxes' property value is true.
<template> <JqxDropDownList ref="myDropDownList" :checkboxes="true" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template> <script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { this.$refs.myDropDownList.checkAll(); this.$refs.myDropDownList.open(); setTimeout(_ => this.$refs.myDropDownList.uncheckAll(), 1000);
|
val
|
value
|
String
|
Gets the selected value.
<template> <JqxDropDownList ref="myDropDownList" :width="200" :height="25" :source="source" :selectedIndex="4" /> </template>
<script> import JqxDropDownList from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue'; export default { components: { JqxDropDownList }, data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } }, mounted: function () { const value = this.$refs.myDropDownList.val();
|

Name | Type | Default |
autoOpen
|
boolean
|
false
|
Sets or gets whether the DropDown is automatically opened when the mouse cursor is moved over the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} autoOpen={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
autoDropDownHeight
|
boolean
|
false
|
Sets or gets whether the height of the jqxDropDownList's ListBox displayed in the widget's DropDown is calculated as a sum of the items heights.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} autoDropDownHeight={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
animationType
|
DropDownListAnimationType
|
'slide'
|
DropDownListAnimationType: "none" | "slide" | "fade"
Sets or gets the type of the animation.
Possible Values:
'fade'
'slide'
'none'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} animationType={ 'fade'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
checkboxes
|
boolean
|
false
|
Determines whether checkboxes will be displayed next to the list items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} checkboxes={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
closeDelay
|
number
|
400
|
Sets or gets the delay of the 'close' animation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} closeDelay={800} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Enables/disables the jqxDropDownList.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} disabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
displayMember
|
string
|
""
|
Sets or gets the displayMember of the Items. The displayMember specifies the name of an object property to display. The name is contained in the collection specified by the 'source' property.
|
dropDownHorizontalAlignment
|
DropDownListHorizontalAlignment
|
'left'
|
DropDownListHorizontalAlignment: "left" | "right"
Sets or gets the DropDown's alignment.
Possible Values:
'left'
'right'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} dropDownHorizontalAlignment={ 'right'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dropDownVerticalAlignment
|
DropDownListVerticalAlignment
|
'bottom'
|
DropDownListVerticalAlignment: "bottom" | "top"
Sets or gets the DropDown's alignment.
Possible Values:
'top'
'bottom'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} dropDownVerticalAlignment={ 'bottom'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dropDownHeight
|
number | string
|
200
|
Sets or gets the height of the jqxDropDownList's ListBox displayed in the widget's DropDown.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} dropDownHeight={50} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dropDownWidth
|
number | string
|
200
|
Sets or gets the width of the jqxDropDownList's ListBox displayed in the widget's DropDown.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} dropDownWidth={300} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableSelection
|
boolean
|
true
|
Enables/disables the selection.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} enableSelection={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableBrowserBoundsDetection
|
boolean
|
false
|
Sets or gets whether the dropdown detects the browser window's bounds and automatically adjusts the dropdown's position.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} enableBrowserBoundsDetection={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableHover
|
boolean
|
true
|
Enables/disables the hover state.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} enableHover={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
filterable
|
boolean
|
false
|
Determines whether the Filtering is enabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} filterable={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
filterHeight
|
number
|
27
|
Determines the Filter's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} filterHeight={40} filterable={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
filterDelay
|
number
|
100
|
Determines the Filter's delay. After 100 milliseconds, the widget automatically filters its data based on the filter input's value. To perform filter only on "Enter" key press, set this property to 0.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} filterDelay={200} filterable={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
filterPlaceHolder
|
string
|
"Looking for"
|
Determines the Filter input's place holder.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} filterable={true} filterPlaceHolder={ 'Filtering...'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
number | string
|
null
|
Sets or gets the jqxDropDownList's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
incrementalSearch
|
boolean
|
true
|
Sets or gets the incrementalSearch property. An incremental search begins searching as soon as you type the first character of the search string. As you type in the search string, jqxDropDownList automatically selects the found item. Focus the widget and start typing.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} incrementalSearch={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
incrementalSearchDelay
|
number
|
700
|
Sets or gets the incrementalSearchDelay property. The incrementalSearchDelay specifies the time-interval in milliseconds after which the previous search string is deleted. The timer starts when you stop typing. Focus the widget and start typing.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} incrementalSearchDelay={200} incrementalSearch={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
itemHeight
|
number
|
-1
|
Sets or gets the height of the jqxDropDownList Items. When the itemHeight == - 1, each item's height is equal to its desired height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} itemHeight={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
openDelay
|
number
|
350
|
Sets or gets the delay of the 'open' animation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} openDelay={2000} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
placeHolder
|
string
|
"Please Choose:"
|
Text displayed when the selection is empty.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={ 'null'} placeHolder={ 'I am a placeholder !'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
popupZIndex
|
number
|
20000
|
Sets or gets the popup's z-index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} popupZIndex={20000} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} rtl={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
renderer
|
(index?: DropDownListRenderer['index'], label?: DropDownListRenderer['label'], value?: DropDownListRenderer['value']) => string
|
null
|
Interface DropDownListRenderer { index?: number; label?: string; value?: string; }
Callback function which is called when an item is rendered. By using the renderer function, you can customize the look of the list items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { renderer: (index: number, label: string, value: string): any => { return index + ' ' + label; }, source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} renderer={this.state.renderer} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectionRenderer
|
(element?: DropDownListSelectionRenderer['element'], index?: DropDownListSelectionRenderer['index'], label?: DropDownListSelectionRenderer['label'], value?: DropDownListSelectionRenderer['value']) => string
|
null
|
Interface DropDownListSelectionRenderer { element?: object; index?: number; label?: string; value?: any; }
Callback function which is called when the selected item is rendered in the jqxDropDownList's content area. By using the selectionRenderer function, you can customize the look of the selected item.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { selectionRenderer: (element: object, index: number, label: string, value: any): any => { return 'My String'; }, source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} selectionRenderer={this.state.selectionRenderer} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
searchMode
|
DropDownListSearchMode
|
startswith
|
DropDownListSearchMode: "none" | "contains" | "containsignorecase" | "equals" | "equalsignorecase" | "startswithignorecase" | "startswith" | "endswithignorecase" | "endswith"
Sets or gets the item incremental search mode. When the user types some text in a focused DropDownList, the jqxListBox widget tries to find the searched item using the entered text and the selected search mode.
Possible Values:
'none'
'contains'
'containsignorecase'
'equals'
'equalsignorecase'
'startswithignorecase'
'startswith'
'endswithignorecase'
'endswith'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} searchMode={ 'startswith'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
source
|
Array<any>
|
null
|
Sets or gets the items source.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectedIndex
|
number
|
-1
|
Sets or gets the selected index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={1} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} theme={ 'material'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
template
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} template={ 'success'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
valueMember
|
string
|
""
|
Sets or gets the valueMember of the Items. The valueMember specifies the name of an object property to set as a 'value' of the list items. The name is contained in the collection specified by the 'source' property.
|
width
|
number | string
|
null
|
Sets or gets the jqxDropDownList's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
bindingComplete
|
Event
|
|
This event is triggered when the data binding operation is completed.
Code examples
Bind to the bindingComplete event of jqxDropDownList.
|
close
|
Event
|
|
This event is triggered when the popup ListBox is closed.
Code examples
Bind to the close event of jqxDropDownList.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} onClose={this.onClose} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } private onClose(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
checkChange
|
Event
|
|
This event is triggered when an item is checked/unchecked.
Code examples
Bind to the checkChange event of jqxDropDownList.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.setOptions({ checkboxes: true }); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} onCheckChange={this.onCheckChange} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } private onCheckChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
change
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the change event of jqxDropDownList.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} onChange={this.onChange} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } private onChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
open
|
Event
|
|
This event is triggered when the popup ListBox is opened.
Code examples
Bind to the open event of jqxDropDownList.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} onOpen={this.onOpen} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } private onOpen(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
select
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the select event of jqxDropDownList.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} onSelect={this.onSelect} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } private onSelect(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
unselect
|
Event
|
|
This event is triggered when the user unselects an item.
Code examples
Bind to the unselect event of jqxDropDownList.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public render() { return ( <JqxDropDownList ref={this.myDropDownList} onUnselect={this.onUnselect} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } private onUnselect(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
addItem
|
item
|
|
Adds a new item to the jqxDropDownList. Returns 'true', if the new item is added or 'false' if the item is not added.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.addItem( 'Item1'); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
clearSelection
|
None
|
|
Clears all selected items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.clearSelection(); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
clear
|
None
|
|
Clears all items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.clear(); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
close
|
None
|
|
|
checkIndex
|
index
|
|
Checks a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to check the first item, the 'checkIndex' method should be called with parameter 0.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.checkIndex(2); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
checkItem
|
item
|
|
Checks an item.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.checkItem( 'Item1'); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
checkAll
|
None
|
|
Checks all list items when the 'checkboxes' property value is true.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.checkAll(); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
clearFilter
|
None
|
|
Clears the widget's filter when filtering is applied.
|
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.destroy(); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disableItem
|
item
|
|
Disables an item. Item is an object.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.disableItem( 'Bicerin'); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disableAt
|
index
|
|
Disables an item by index. Index is a number.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.disableAt(2); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableItem
|
item
|
|
Enables an item. Item is an object.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
|
enableAt
|
index
|
|
Enables a disabled item by index. Index is a number.
|
ensureVisible
|
index
|
|
Ensures that an item is visible. index is number. When necessary, the jqxDropDownList scrolls to the item to make it visible.
|
focus
|
None
|
|
Sets the focus to the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.focus(); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getItem
|
index
|
|
Gets item by index. The returned value is an object with the following fields:
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.getItem(2); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getItemByValue
|
itemValue
|
|
Gets an item by its value. The returned value is an object with the following fields:
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.getItemByValue( 'Breve'); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getItems
|
None
|
|
Gets all items. The returned value is an array of Items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.getItems(); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getCheckedItems
|
None
|
|
Gets the checked items. The returned value is an array of Items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
|
getSelectedItem
|
None
|
|
Gets the selected item. The returned value is an object or null(if there is no selected item).
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.getSelectedItem(); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getSelectedIndex
|
None
|
|
Gets the index of the selected item. The returned value is the index of the selected item. If there's no selected item, -1 is returned.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.getSelectedIndex(); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
insertAt
|
item, index
|
|
Inserts a new item to the jqxDropDownList. Returns 'true', if the new item is inserted or false if the insertaion fails. The first parameter is object or string - the new item. The second parameter is number - the item's index.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.insertAt( 'Item1',0); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
isOpened
|
None
|
|
Returns true, if the popup is opened. Otherwise returns false.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.isOpened(); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
indeterminateIndex
|
index
|
|
indeterminates a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to indeterminate the first item, the 'indeterminateIndex' method should be called with parameter 0.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.indeterminateIndex(2); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
indeterminateItem
|
item
|
|
Indeterminates an item.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.indeterminateItem( 'Breve'); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
loadFromSelect
|
arg
|
|
Loads list items from a 'select' tag.
|
open
|
None
|
|
|
removeItem
|
item
|
|
Removes an item from the listbox. Parameter type: object returned by the "getItem" method or string - the value of an item. Returns 'true', if the item is removed or 'false', if the item is not removed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.removeItem( 'Breve'); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
removeAt
|
index
|
|
Removes an item from the listbox. Parameter type: number - the index of the item. The method returns 'true', if the item is removed or 'false', if the item is not removed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.removeAt(1); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectIndex
|
index
|
|
Selects an item by index. The index is zero-based, i.e to select the first item, the 'selectIndex' method should be called with parameter 0.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.selectIndex(1); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectItem
|
item
|
|
Selects an item.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.selectItem( 'Breve'); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setContent
|
content
|
|
Sets the content of the DropDownList.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.setContent( 'Some Content'); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
updateItem
|
newItem, item
|
|
Updates an item. The first parameter is the new item. The second parameter could be an existing item or the value of an existing item.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.updateItem( 'New Breve','Breve'); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
updateAt
|
item, index
|
|
Updates an item. The first parameter is the new item. The second parameter is the index of the item to be updated.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.updateAt( 'New Americano',1); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
unselectIndex
|
index
|
|
Unselects item by index. The index is zero-based, i.e to unselect the first item, the 'unselectIndex' method should be called with parameter 0.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.unselectIndex(4); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
unselectItem
|
item
|
|
Unselects an item.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.unselectItem( 'Cappuccino'); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
uncheckIndex
|
index
|
|
Unchecks a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to uncheck the first item, the 'uncheckIndex' method should be called with parameter 0.
|
uncheckItem
|
item
|
|
|
uncheckAll
|
None
|
|
Unchecks all list items when the 'checkboxes' property value is true.
|
val
|
value
|
|
Gets the selected value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDropDownList, { IDropDownListProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownlist'; class App extends React.PureComponent<{}, IDropDownListProps> { private myDropDownList = React.createRef<JqxDropDownList>(); constructor(props: {}) { super(props); this.state = { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Cappuccino', 'Espresso', 'Frappuccino', 'Iced Coffee?', 'Irish coffee', 'Liqueur coffee' ] } } public componentDidMount(): void { this.myDropDownList.current!.val(); } public render() { return ( <JqxDropDownList ref={this.myDropDownList} width={200} height={25} source={this.state.source} selectedIndex={4} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Properties

NameTypeDefault
autoOpen Boolean false

Sets or gets the autoOpen property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [autoOpen]="true">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
autoDropDownHeight Boolean false

Sets or gets the autoDropDownHeight property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [autoDropDownHeight]="true">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
animationType enum:DropDownListAnimationType 'slide'
enum DropDownListAnimationType {
     none,
     slide,
     fade
}

Sets or gets the animationType property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [animationType]="'fade'">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
checkboxes Boolean false

Sets or gets the checkboxes property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [checkboxes]="true">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
closeDelay Number 400

Sets or gets the closeDelay property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [closeDelay]="200">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
disabled Boolean false

Sets or gets the disabled property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [disabled]="true">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
displayMember String ""

Sets or gets the displayMember property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [valueMember]="'value'" [displayMemer]="'label'">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
dropDownHorizontalAlignment enum:DropDownListHorizontalAlignment 'left'
enum DropDownListHorizontalAlignment {
     left,
     right
}

Sets or gets the dropDownHorizontalAlignment property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [dropDownHorizontalAlignment]="'right'">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
dropDownVerticalAlignment enum:DropDownListVerticalAlignment 'bottom'
enum DropDownListVerticalAlignment {
     bottom,
     top
}

Sets or gets the dropDownVerticalAlignment property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [dropDownVerticalAlignment]="'top'">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
dropDownHeight Number | String 200

Sets or gets the dropDownHeight property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [dropDownHeight]="200">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
dropDownWidth Number | String 200

Sets or gets the dropDownWidth property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [dropDownWidth]="210">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
enableSelection Boolean true

Sets or gets the enableSelection property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [enableSelection]="true">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
enableBrowserBoundsDetection Boolean false

Sets or gets the enableBrowserBoundsDetection property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [enableBrowserBoundsDetection]="true">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
enableHover Boolean true

Sets or gets the enableHover property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [enableHover]="true">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
filterable Boolean false

Sets or gets the filterable property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [filterable]="true">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
filterHeight Number 27

Sets or gets the filterHeight property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [filterHeight]="30" [filterable]="true">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
filterDelay Number 100

Sets or gets the filterDelay property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [filterDelay]="200" [filterable]="true">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
filterPlaceHolder String "Looking for"

Sets or gets the filterPlaceHolder property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [filterable]="true" [filterPlaceHolder]="'Filtering...'">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
height Number | String null

Sets or gets the height property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
incrementalSearch Boolean true

Sets or gets the incrementalSearch property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [incrementalSearch]="false">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
incrementalSearchDelay Number 700

Sets or gets the incrementalSearchDelay property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [incrementalSearchDelay]="200">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
itemHeight Number | String -1

Sets or gets the itemHeight property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [itemHeight]="30">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
openDelay Number 350

Sets or gets the openDelay property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [openDelay]="2000">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
placeHolder String "Please Choose:"

Sets or gets the placeHolder property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [placeHolder]="'Select'">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
popupZIndex Number 20000

Sets or gets the popupZIndex property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [popupZIndex]="20000">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
rtl Boolean false

Sets or gets the rtl property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [rtl]="true">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
renderer (index: Number, label?: String, value?: Any) => String null

Sets or gets the renderer property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [renderer]="renderer">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
selectionRenderer (object?: Any, index?: Number, label?: String) => String null

Sets or gets the selectionRenderer property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [selectionRenderer]="selectionRenderer">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
searchMode enum:DropDownListSearchMode startswith
enum DropDownListSearchMode {
     none,
     contains,
     containsignorecase,
     equals,
     equalsignorecase,
     startswithignorecase,
     startswith,
     endswithignorecase,
     endswith
}

Sets or gets the searchMode property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [searchMode]="'startswith'">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
scrollBarSize Number | String 17

Sets or gets the scrollBarSize property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [scrollBarSize]="15">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
source Array<Any> null

Sets or gets the source property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
selectedIndex Number -1

Sets or gets the selectedIndex property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
theme String ''

Sets or gets the theme property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [theme]="'energyblue'">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
template String ''

Sets or gets the template property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [template]="'success'">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
valueMember String ""

Sets or gets the valueMember property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1" [valueMember]="'value'" [displayMemer]="'label'">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}
width Number | String null

Sets or gets the width property.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent {
source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

Events

bindingComplete Event

This event is triggered when the data binding operation is completed.

Code examples

Bind to the bindingComplete event of jqxDropDownList.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList (onBindingComplete)="BindingComplete($event)"
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent {
BindingComplete(event: any): void
{
// Do Something
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

close Event

This event is triggered when the popup ListBox is closed.

Code examples

Bind to the close event of jqxDropDownList.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList (onClose)="Close($event)"
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent {
Close(event: any): void
{
// Do Something
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

checkChange Event

This event is triggered when an item is checked/unchecked.

Code examples

Bind to the checkChange event of jqxDropDownList.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList (onCheckChange)="CheckChange($event)"
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent {
CheckChange(event: any): void
{
// Do Something
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

change Event

This event is triggered when the user selects an item.

Code examples

Bind to the change event of jqxDropDownList.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList (onChange)="Change($event)"
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent {
Change(event: any): void
{
// Do Something
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

open Event

This event is triggered when the popup ListBox is opened.

Code examples

Bind to the open event of jqxDropDownList.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList (onOpen)="Open($event)"
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent {
Open(event: any): void
{
// Do Something
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

select Event

This event is triggered when the user selects an item.

Code examples

Bind to the select event of jqxDropDownList.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList (onSelect)="Select($event)"
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent {
Select(event: any): void
{
// Do Something
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

unselect Event

This event is triggered when the user unselects an item.

Code examples

Bind to the unselect event of jqxDropDownList.

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList (onUnselect)="Unselect($event)"
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent {
Unselect(event: any): void
{
// Do Something
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

Methods

NameReturn TypeArguments
addItem Boolean item: DropDownListItem
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
let value = this.myDropDownList.addItem('Item1');
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

clearSelection Void None
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.clearSelection();
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

clear Void None
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.clear();
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

close Void None
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.close();
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

checkIndex Void index: Number
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.checkIndex(0);
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

checkItem Void item: Any
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.checkItem('Item1');
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

checkAll Void None
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.checkAll();
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

clearFilter Void None
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.clearFilter();
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

destroy Void None
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.destroy();
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

disableItem Void item: Any
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.disableItem('Item1');
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

disableAt Void index: Number
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.disableAt(0);
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

enableItem Void item: Any
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.enableItem('Item1');
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

enableAt Void index: Number
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.enableAt(10);
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

ensureVisible Void index: Number
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.ensureVisible(10);
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

focus Void None
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.focus();
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

getItem DropDownListItem index: Number
interface DropDownListItem {
     label?: String;
     value?: Any;
     disabled?: Boolean;
     checked?: Any;
     hasThreeStates?: Boolean;
     html?: String;
     group?: String;
}
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
let value = this.myDropDownList.getItem();
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

getItemByValue DropDownListItem itemValue: String
interface DropDownListItem {
     label?: String;
     value?: Any;
     disabled?: Boolean;
     checked?: Any;
     hasThreeStates?: Boolean;
     html?: String;
     group?: String;
}
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
let value = this.myDropDownList.getItemByValue();
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

getItems Array<DropDownListItem> None
interface DropDownListItem {
     label?: String;
     value?: Any;
     disabled?: Boolean;
     checked?: Any;
     hasThreeStates?: Boolean;
     html?: String;
     group?: String;
}
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
let value = this.myDropDownList.getItems();
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

getCheckedItems Array<DropDownListItem> None
interface DropDownListItem {
     label?: String;
     value?: Any;
     disabled?: Boolean;
     checked?: Any;
     hasThreeStates?: Boolean;
     html?: String;
     group?: String;
}
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
let value = this.myDropDownList.getCheckedItems();
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

getSelectedItem DropDownListItem None
interface DropDownListItem {
     label?: String;
     value?: Any;
     disabled?: Boolean;
     checked?: Any;
     hasThreeStates?: Boolean;
     html?: String;
     group?: String;
}
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
let value = this.myDropDownList.getSelectedItem();
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

getSelectedIndex Number None
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
let value = this.myDropDownList.getSelectedIndex();
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

insertAt Void item: DropDownListItem,
index: Number
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.insertAt('Item1',0);
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

isOpened Boolean None
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
let value = this.myDropDownList.isOpened();
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

indeterminateIndex Void index: Number
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.indeterminateIndex(0);
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

indeterminateItem Void item: Any
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.indeterminateItem('Item1');
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

loadFromSelect Void arg: String
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.loadFromSelect('select');
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

open Void None
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.open();
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

removeItem Void item: Any
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.removeItem('Item1');
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

removeAt Void index: Number
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.removeAt(1);
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

selectIndex Void index: Number
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.selectIndex(1);
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

selectItem Void item: DropDownListItem
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.selectItem('Item1');
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

setContent Void content: String
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.setContent('Item1');
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

updateItem Void newItem: DropDownListItem,
item: Any
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.updateItem('Item1','New Item');
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

updateAt Void item: DropDownListItem,
index: Number
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.updateAt('Item1',0);
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

unselectIndex Void index: Number
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.unselectIndex(1);
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

unselectItem Void item: Any
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.unselectItem('item');
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

uncheckIndex Void index: Number
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.uncheckIndex(1);
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

uncheckItem Void item: Any
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.uncheckItem('Item1');
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

uncheckAll Void None
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
this.myDropDownList.uncheckAll();
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}

val String value: String
import { Component, ViewChild, AfterViewInit } from "@angular/core";
@Component({
selector: "app-root",
template: `
<jqxDropDownList #myDropDownList
[width]="200" [height]="25" [source]="source" [selectedIndex]="1">
</jqxDropDownList>
`
})
export class AppComponent implements AfterViewInit {
@ViewChild('myDropDownList') myDropDownList: jqxDropDownListComponent;
ngAfterViewInit(): void
{
let value = this.myDropDownList.val();
}

source: string[] =
[
'Affogato',
'Americano',
'Bicerin',
'Breve'
];
}